create or replace package plpdf_reporter_pdf
authid current_user is
--v5.19
--
-- v3.5.0
-- font map init
procedure init;
--
-- v3.3.0
-- AddFontMap
procedure AddFontMap(
  p_original_name varchar2,
  p_original_b boolean default false,
  p_original_i boolean default false,
  p_new_name varchar2,
  p_new_b boolean default false,
  p_new_i boolean default false,
  p_ttfTable_id pls_integer default null
  );
--
-- v4.9.1
-- genCode
function genCode(
  p_packagename varchar2,
  p_file in out blob,
  p_encoding varchar2 default null,
  p_image_table varchar2 default null,
  p_package_header boolean default false,
  p_ascii_mode boolean default false,
  p_force_vars boolean default false,
  p_append_slash boolean default false,
  p_exec_trunc boolean default false,
  p_header_height number default null,
  p_footer_height number default null,
  p_serially_reusable boolean default false,
  p_quite_ascii boolean default false,
  p_extend_linespace boolean default false,
  p_image_resize number default null,
  p_default_font_name varchar2 default null, --v4.9.8
  p_default_font_size number default null --v4.9.8
  ) return clob;
--
--v4.9.6
function genDefaultHeader(
  p_packagename varchar2,
  p_append_slash boolean default false,
  p_serially_reusable boolean default false
  ) return clob;
--
--v4.9.6
function genMMBody(
  p_packagename varchar2,
  p_file in out blob,
  p_encoding varchar2 default null,
  p_image_table varchar2 default null
  ) return clob;
--
--v4.9.6
function genMMHeader(
  p_packagename varchar2,
  p_file in out blob
  ) return clob;
--
--v4.9.6
procedure setApp(
  p_app varchar2
  );
--v4.9.6
function getApp
  return varchar2;
--
--v4.9.7
function genHeaderFooter(
  p_packagename varchar2,
  p_file in out blob,
  p_encoding varchar2 default null,
  p_image_table varchar2 default null,
  p_package_header boolean default false,
  p_ascii_mode boolean default false,
  p_force_vars boolean default false,
  p_append_slash boolean default false,
  p_exec_trunc boolean default false,
  p_header_height number default null,
  p_footer_height number default null,
  p_serially_reusable boolean default false,
  p_quite_ascii boolean default false,
  p_extend_linespace boolean default false,
  p_image_resize number default null
  ) return clob;
--
end plpdf_reporter_pdf;
/

